﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
    background-color: #69f8f2;
    height: auto !important;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}


.site-logo {
    max-width: 94%;
    min-width: 50%;
    width: auto;
    height: auto;
    min-height: 5rem;
}




.btn {
    display: inline-block;
    background: #ef498a;
    color: #fff;
    text-transform: uppercase;
    padding: 20px 35px;
    border-radius: 50px;
    border: none;
    text-decoration: none;
    font-weight: bold;
    height: 18px;
}

    .btn.get-code {
        top: 10px;
        z-index: 1;
        left: -103px;
        position: relative;
    }

section {
    position: relative;
    width: 500px;
    display: flex;
    justify-content: flex-end;
    left: -50px;
}

form {
    position: absolute;
    top: 0;
    right: 0;
}

    form input {
        background: #494949;
        border-radius: 50px;
        border: none;
        padding: 23px 35px;
        width: 0;
        margin-right: -78px;
        opacity: 0;
        float: right;
        color: #fff;
        font-size: 28px;
    }

        form input::-moz-placeholder {
            color: #848484;
            font-size: 28px;
            z-index: 3;
        }

        form input:-ms-input-placeholder {
            color: #848484;
            font-size: 28px;
            z-index: 3;
        }

        form input::placeholder {
            color: #848484;
            font-size: 28px;
            z-index: 3;
        }

        form input:hover, form input:focus {
            outline: none;
        }

    form .btn {
        padding: 0;
        width: 250px;
        height: 65px;
        position: absolute;
        top: 7px;
        right: 68px;
        opacity: 1;
        transform-origin: 50% 50%;
        cursor: pointer;
    }

        form .btn.active .start {
            display: none;
        }

        form .btn.done .start {
            display: none;
        }

        form .btn.done .done {
            display: block;
            opacity: 0;
        }

        form .btn .icon {
            width: 29px;
            top: 7px;
            left: 4px;
            opacity: 0;
            position: absolute;
            pointer-events: none;
            font-size: 2rem;
            color: white;
        }

        form .btn .done {
            display: none;
        }

        form .btn:hover, form .btn:focus {
            outline: none;
        }

.line {
    position: absolute;
    bottom: 50px;
    left: 50%;
    transform: translateX(-50%);
}

.result {
    width: 25rem;
    position: relative;
    height: 0;
    transition: 0.4s;
    overflow:hidden;
}
    .result.active {
        height: 3.3rem;
        transition: 0.4s;
    }


#result {
    font: 15px/24px "Muli", sans-serif;
    color: #333;
    box-sizing: border-box;
    letter-spacing: 1px;
    border-radius: 5px ;
    text-align: center;
    font-size: 2rem!important;
}

:focus {
    outline: none;
}

#result {
    font: 15px/24px "Lato", Arial, sans-serif;
    color: #333;
    width: 100%;
    box-sizing: border-box;
    letter-spacing: 1px;
    border: 0;
    padding: 7px 0;
    border-bottom: 1px solid #ccc;
}

    #result ~ .focus-border {
        position: absolute;
        bottom: 0;
        left: 50%;
        width: 0;
        height: 2px;
        background-color: #4caf50;
        transition: 0.4s;
    }

    #result:focus ~ .focus-border {
        width: 100%;
        transition: 0.4s;
        left: 0;
    }
